// Dependent colors
$black: #000000;

$classic-base-color: #192222;
$classic-primary-color: #465e5d;
$classic-secondary-color: #d9e1e8;
$classic-highlight-color: #D9922B;
$ui-highlight-color: #D9922B;

$ui-base-color: $classic-base-color !default;
$ui-primary-color: $classic-primary-color !default;
$ui-secondary-color: $classic-secondary-color !default;

$inverted-text-color: $black !default;
$lighter-text-color: darken($ui-base-color, 6%) !default;
$light-text-color: $ui-highlight-color !default;

$darker-text-color: lighten($ui-primary-color, 20%) !default;
$dark-text-color: lighten($ui-primary-color, 12%) !default;
$secondary-text-color: lighten($ui-secondary-color, 6%) !default;
$highlight-text-color: lighten($ui-highlight-color, 10%) !default;
$action-button-color: lighten($ui-base-color, 50%);

$inverted-text-color: $black !default;
$lighter-text-color: darken($ui-base-color, 6%) !default;
$light-text-color: darken($ui-primary-color, 40%) !default;

$ui-button-background-color: $classic-highlight-color !default;
$ui-button-focus-background-color: darken($classic-highlight-color, 6%) !default;
